/*
 * @(#)Mohr.java
 */

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

/**
 * Mohr.java - Programa do crculo de Mohr.
 *
 * <p>
 * Descrio:
 * <p>
 * ===============================================================
 * <p>
 * Este  um programa para demonstrao do funcionamento do
 * crculo de Mohr para estado plano de tenses.
 *
 * <p>
 * ===============================================================
 *
 * @version    1.0 06/09/2004
 * @author     Luiz Fernando Martha
 * @author     Alonso Juvinao Carbono
 * @author     Anderson Resende Pereira
 * @author     Fernando Busato Ramires
 * @author     Pala Reginal Dalcanal
 * @author     Ricardo Rodrigues de Araujo  
 *
 */
public class Mohr extends JApplet
{
 public void init()
 {
  String frame = getParameter( "Frame" );
  if( frame.equals( "Window" ) )
  {
   JButton launcher;
   String language = getParameter( "Language" );
   if( language.equals( "English" ) )
   {
    launcher = new JButton( "Launch e-Mohr program on a window" );
    launcher.addActionListener( new ActionListener()
    {
     public void actionPerformed( ActionEvent e )
     {
      new MohrFrame( false );
     }
    } );
   }
   else
   {
    launcher = new JButton( "Dispara programa e-Mohr em uma janela" );
    launcher.addActionListener( new ActionListener()
    {
     public void actionPerformed( ActionEvent e )
     {
      new MohrFrame( true );
     }
    } );
   }
   JPanel panel = new JPanel();
   panel.setBorder( BorderFactory.createEtchedBorder() );
   panel.setLayout( new BorderLayout() );
   panel.add( launcher );
   getContentPane().setLayout( new BorderLayout() );
   getContentPane().add( panel );
  }
  else
  {
   MohrPanel target;
   getContentPane().setLayout( new BorderLayout() );
   String language = getParameter( "Language" );
   if( language.equals( "English" ) )
    target = new MohrPanel( false );
   else
    target = new MohrPanel( true );
   target.setBorder( BorderFactory.createEtchedBorder() );
   getContentPane().add( target );
  }
 }

 public static void main( String[] args )
 {
  new MohrFrame();
 }
}

